## prog.utili
Enum FormatoData

    java.lang.Object
      java.lang.Enum<FormatoData>
          prog.utili.FormatoData

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FormatoData>

    public enum FormatoData

extends java.lang.Enum<FormatoData>

Formato di rappresentazione delle date.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Enum Constant Summary
`AMG` Formato numerico ANNO MESE GIORNO.
`ESTESO` Formato esteso: nomeGiorno GIORNO nomeMese ANNO.
`GMA` Formato numerico GIORNO MESE ANNO.
`MGA` Formato numerico MESE GIORNO ANNO.

Method Summary
`static FormatoData` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FormatoData[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GMA

    public static final FormatoData GMA

  Formato numerico GIORNO MESE ANNO.

### MGA

    public static final FormatoData MGA

  Formato numerico MESE GIORNO ANNO.

### AMG

    public static final FormatoData AMG

  Formato numerico ANNO MESE GIORNO.

### ESTESO

    public static final FormatoData ESTESO

  Formato esteso: nomeGiorno GIORNO nomeMese ANNO.

Method Detail

### values

    public static final FormatoData[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FormatoData c : FormatoData.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FormatoData valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name